<script setup>
import {useRoute} from "vue-router";
import {useFetchBook} from "@/stores/models/book/getBook";

const route = useRoute()
const bookStore = useFetchBook()
console.log(route.params.bookId)

bookStore.fetchBook(route.params.bookId)
</script>

<template>
 <div style="min-height: 70%">
     <div class="row">
         <h1 class="col-6">{{bookStore.getBook.name}}</h1>
         <small class="col-6 text-end">{{bookStore.getBook.createdAd?.slice(0, 10) }}</small>
         <p class="col-12">{{bookStore.getBook.text}}</p>

     </div>
 </div>
</template>

<style scoped>

</style>